GNU bug report logs - #53255
highlight-regexp should show faces with their properties applied when selecting a face

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ndame <laszlomail@HIDDEN>; Keywords: moreinfo; dated Fri, 14 Jan 2022 13:38:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 16 Jan 2022 18:22:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 16 13:22:07 2022
Received: from localhost ([127.0.0.1]:44251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9AAI-0000Xe-V3
	for submit <at> debbugs.gnu.org; Sun, 16 Jan 2022 13:22:07 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:48921)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1n9AAH-0000X7-FG
 for 53255 <at> debbugs.gnu.org; Sun, 16 Jan 2022 13:22:06 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 4F41D40005;
 Sun, 16 Jan 2022 18:21:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
Organization: LINKOV.NET
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <86h7a424p6.fsf@HIDDEN>
Date: Sun, 16 Jan 2022 20:20:19 +0200
In-Reply-To: <86h7a424p6.fsf@HIDDEN> (Juri Linkov's message of "Sat, 
 15 Jan 2022 21:12:53 +0200")
Message-ID: <864k6335lo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>, 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> Like read-color shows the color names with their actual colors, the
>>> selection of a face should also show the names with their properties
>>> applied.
>>
>> The patch below implements this, but it does lead to some strange
>> effects:
>>
>> That is, some faces have odd sizes, so the completion display may look a
>> bit odd.
>>
>> But it does accurately tell you what the result is doing to be, so
>> perhaps it's OK?  Anybody have any opinions?
>
> Whereas highlight-regexp can use all faces, the preferable faces are in
> hi-lock-face-defaults, so they need to be displayed separately.

Also it would be nice to highlight faces displayed in the minibuffer
after fetching them with M-n M-n M-n ...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 22:48:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 17:48:36 2022
Received: from localhost ([127.0.0.1]:42199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8rqd-00078G-Sf
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 17:48:36 -0500
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:5920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1n8rqX-000783-Q9
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 17:48:33 -0500
Received: from pps.filterd (m0246632.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 20FHUbIB010667; 
 Sat, 15 Jan 2022 22:48:29 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=YEUPQR5zsxxGKq0oWy0Z94K7ZCkmt/bwAMybCi4clt8=;
 b=LltyvZw5f9NAOHAxSPabk7wvmSKnADNQ+j0bo3oNLa14AWoMpUrHJ/mVze4ra+SxzYeF
 KimKb/2j0lc7hiWpYEukwU/eihr81lBR4ajqtDPRcNtAUE80UEUHvgXq4EW0b40auK+R
 zP2Y/u1cV9BQe6mErcwMLBog4ODFVEbfGeDb0olrQR2G6VSscecVXrCrzMKUYyr4A7Al
 v25RO4U6XX+6pEED/QAH8EeCeleei9N7M3BnKc0TSTSsMUH6ef8rLLXYg68fiIvQwVJL
 7RjE6uJ81LQv2qDfQl4M7AIoc04HH5H+o3zlPZgt5QtNednv2n/8L2A9L8RIozHjDlJA 3w== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by mx0b-00069f02.pphosted.com with ESMTP id 3dknvsrwmn-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 22:48:28 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 20FMkWK4159713;
 Sat, 15 Jan 2022 22:48:27 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2104.outbound.protection.outlook.com [104.47.58.104])
 by userp3030.oracle.com with ESMTP id 3dkkctjgyw-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 22:48:27 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IPjuY9qnnF01EhuBMTIXB/QrePGLZNaY7nbE0qXaMc6Nlnl4VjmWkRb/fZPaFil6LOi3WFBeG+QfuG8vwg1H5X3fdHMc/fIzcuTTJBd7Gfd3rMZ4j+jfc7b4Dm6e6l7z22DSqOvivfU5ut20PtU57ODZR3mcnjwQ3ibKbgzqak4k9c5WWpFyb3INtpQh5Emni4yVjB40O+KlTkiXSIaBkH1kzpJfA/5QS5OjrrLL3RYjpWYBtI8mt+PQs+MjrFPY9cOBzkLV/ZEK9KZ43u/5NC3eWMaw4MqFtXWVGxtmT9RxzjahmgBPQW8iQrxSg0FM6ap9v04H7rvrExblqLLm9Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=YEUPQR5zsxxGKq0oWy0Z94K7ZCkmt/bwAMybCi4clt8=;
 b=LXzbrmKB4bs8wrH5C+hetYB+c1Zz2LaX2uzsWt755dXFVQdp/gBvrWasC0XKglNXZKhbF9iYjJsPyp4wUU3XA/CH3hbsoL4r/CE+C+6z7K7EwUOzuX2OQ8SNdmAqWeFAjPry4COrMxgEvKBIecJp2hwhRe6UzvEk60JAPcPNHJX9y6Y12kG3knwdhYiB+MTAt2gKS4eV1Sn1AtyFzz/g75cQ2IxaX+40NQQnMWTFExeeMzdhBg4jM8F7Hv7I9L1a6zdWDNtPxtp478cZXjfPWB0IUrMxbyz9gy85AR0FFXD7ptGXws3XAPXelbStsFCVz17y/BD3hvS48M0waLp8+w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YEUPQR5zsxxGKq0oWy0Z94K7ZCkmt/bwAMybCi4clt8=;
 b=G08TwWqcqujZUCeO+dJfJcIrEihvoxb7rcMmfiYgDvYYqtgQT7xHbUMAc0QaITBKTPF/wQD8ooSAvm9vC7FjSBvYjA8cYDwixC0P+8EdAmW8rU0hxVa3J1lnNyWQ9GJcfdTBXbPteT7HnbqZIeFr9GHU3t74O/IljlyzkoWWKZo=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by CH2PR10MB4024.namprd10.prod.outlook.com (2603:10b6:610:c::11) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4888.11; Sat, 15 Jan
 2022 22:48:25 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3%7]) with mapi id 15.20.4888.013; Sat, 15 Jan 2022
 22:48:25 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>, Lars
 Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Topic: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Index: AQHYCeyi149s0mx2m0mjEIdTSF1DO6xj20kjgAAByIWAABeLooAAuyJw
Date: Sat, 15 Jan 2022 22:48:25 +0000
Message-ID: <SJ0PR10MB5488ED3A10C5EBC3E675ED34F3559@HIDDEN>
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <87zgnxnwkf.fsf@HIDDEN>
 <877db1wboq.fsf@HIDDEN> <87v8ylnsc1.fsf@HIDDEN>
In-Reply-To: <87v8ylnsc1.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: ed4eade8-3e66-4e5d-2a5b-08d9d87923e9
x-ms-traffictypediagnostic: CH2PR10MB4024:EE_
x-microsoft-antispam-prvs: <CH2PR10MB4024BDDAD0EEBCB36CEE964EF3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:2958;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: cQ1h2+KBo18AiC+ARLsci9KdqawZP1ZHLhwyIqBfjqF8r7JsVzussCUj6R80j8Z2d1D1KxryRsUU4AydG2fcTVJ+0hkez72X4LfoP5turxhCpm570wneFesZ3pUNWMUysM3FnkliJzsHAwVpTtjM2eTWRraXmEGq4SUMc0v4si5Fj8+g7AJpHhqYJIBSuhOCKk0MGhfCP+xS+Txs5qVLI3lFFkmMmBsHoCq/MAA3csGF/ykVWhYuu4xgCBOx/v7lqsw0nUWkChkMBRl3VJdDN62oiwUnN/m+rXiMNiFDhPEbUZqhGCI57i8IoJWYkqT+MV3R2cSWcXgyr0qp/kATDmiS366YsoKp0hmyc/gKwtsf2NZLZ9tDr2XaOr6Aj/V//lzlG9NpxqXCZbRpVnaRyFjMzvJORcNQVZyjc+woroBkLA5u2Ld1Ma3Szmrs/aXw8NunYpVf8w/5JTEZ1iHUpPqXr0uL98zVp+eaX63jO8zUyJ5NH6blT0JUFNBBpSfHnmxVzi4CEoW+rHHly1dl3jL5gXT7Y2Yx9JoCbmsojue8C2zZwyI8iiC6B7y6ZfUdRDb74YXbqPoeKbEvAB2IlCXvH7mJjNubQ5aqyHDLkDCECXpIAZp5r8Whrq5Ocu6s+mEU1VArpBZ1plUzJqcc3yT3VQgLDw4rmev8qz2kZU18VMfapBg5Urfhq3vlCbUvlXlreNKGZOTamIYpXbvGhA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(52536014)(4326008)(66946007)(8936002)(4744005)(2906002)(26005)(110136005)(5660300002)(64756008)(66476007)(8676002)(316002)(508600001)(44832011)(66446008)(54906003)(76116006)(71200400001)(66556008)(9686003)(38070700005)(6506007)(55016003)(186003)(122000001)(7696005)(38100700002)(86362001)(33656002)(83380400001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?iso-8859-1?Q?Rez4QbENnpIfUWKOQjg1DlFRmNh8FPUqI0hO10RuiPSLzoIN775NSv4HD+?=
 =?iso-8859-1?Q?mYW0m+54daEVZheNl953sb+QpMeUir0iOO/sBnAYcszCK6UzE+zq1vN32+?=
 =?iso-8859-1?Q?xlmhfOlOVwjv1XPlwhF1DJuq6mjlEtBBLkBL4euOnMmtkZNOulFuBsetUp?=
 =?iso-8859-1?Q?sO0wkr/DFW9Tv/DIAoZEDLeyopVwuGYo1vuAvQ5tsLStPHGkU4AgN+Ek5c?=
 =?iso-8859-1?Q?YWlsum5skANShjBLxMCkzZKUlBlA1fkuaP9eJLaiYn6+C65eBkQlfqA4Ay?=
 =?iso-8859-1?Q?AarWpSq6oGQ+IEJ0RDCD+p6AcpkkITEBOY23Lo4PYGSGxKvtM6wS8W6ouL?=
 =?iso-8859-1?Q?qHdfw9Bs7mp1aHsQWjEQtThteOeIwzXw6LwYhVPLk9TfiX9m79Nzo7UYt3?=
 =?iso-8859-1?Q?owDBzqqE1B2DmQ8zMLOBtibv8YiGRG894+OB6+G/W9WsA+Z/FLRcioomu7?=
 =?iso-8859-1?Q?i4jWYaHWVpxNyQgV8cUjU8lf75+cbkpWH8NvV6GsbqBAV40up1XJ+5Ro5N?=
 =?iso-8859-1?Q?fQcShjwd5alud1ppGsTsJokh/FPcPbETFxAmaPQCERCDoKvnXp531T8/dv?=
 =?iso-8859-1?Q?4fESbHJLRFZfJMBxjZBrIvZdMRYMhtBIWJHCGCz9JjfybORNYlUk3nmDwT?=
 =?iso-8859-1?Q?srKrjpHff8rNUqhV/Ns/RB+Oco7+TyiZmM/yD3r1EwweHosJPGw+nPzSie?=
 =?iso-8859-1?Q?A6Au4Txxr5jJuzceT0nFoWeSampfBn2wxJvCr87BQGdGQIUEKpaTUgVvqG?=
 =?iso-8859-1?Q?4HxCvOt8iSCJltcX2ItQ5ARlCQwwgbI75PhILMYQs3EGFno+pUP8SpvwYf?=
 =?iso-8859-1?Q?dCsmzYfc4LZ2O3XpwiHUq88VfVlYfCq2PdG4l37CEPPfPZ9xyvYM/yhA7y?=
 =?iso-8859-1?Q?m/Ksn9pKWsEy1+qbrj0YUiwfrVy55Wf1IpZ+M7T+pkXQ2LOGGlG9OFlEwO?=
 =?iso-8859-1?Q?516cKswp2vMoI8jCZiVxtl7YCrgboKKjvMqwdYE9Tm7RQ3hS6BdUDfBdh6?=
 =?iso-8859-1?Q?jCeaXHJDmQPbx9m1GMkyJs4yNo+7TP7i8YnNcZzUwLcTglww8eiixVW0aU?=
 =?iso-8859-1?Q?1G+fBQCOK8HOyAhvvANeR1LYxNVs4hXnp6yUKkkE+KXXRaqnfLYAfwlvYk?=
 =?iso-8859-1?Q?rZ+humq9mw0AOEsCbkslN3PXTl42xMVLl2iwTaZA4NwQBPCg5sc8PFWVW4?=
 =?iso-8859-1?Q?XuwTlqN34Cz72WuIgxNwFNtGgsXtQ1SK8lnT077oyyxzmP81V+rXzJpGJF?=
 =?iso-8859-1?Q?ZwiuS0fkcXKTPoMr8Atkzpr18KrmH4+X4GvhsmmD5qKz+6gx8Rg8L5X0Qt?=
 =?iso-8859-1?Q?Rle44KdxgOaKUVVkWzWHA7PKKcX3F2Q859cMdCuXyAegv9byisyD9IjEO/?=
 =?iso-8859-1?Q?MdsABS0DriiBdV9fS27yc3rNpf+/55xPn8uUJOgm3pfaOTNe8UrvTmMw26?=
 =?iso-8859-1?Q?8CP/gN8d8nLxodO+yPOuuonecUemhDz6vWfkSoeZHwa8eF5V2tRf27mewE?=
 =?iso-8859-1?Q?Ad8Brm4Q+Q5lo19uKZoAePUk1ZijGJroUw9QpjWq3eJhaukmsW12PVJk4K?=
 =?iso-8859-1?Q?lXn6UMkpheII4j5sxi6UFMwRFkPiZaxELw/Jy4AiShOGUD+t8zEm2mYzPc?=
 =?iso-8859-1?Q?Qmdh1md6k+tjkSVoS7CFHwQqmdlwsUqI22HDBEPPauicSnZ1g6REzEqw?=
 =?iso-8859-1?Q?=3D=3D?=
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: ed4eade8-3e66-4e5d-2a5b-08d9d87923e9
X-MS-Exchange-CrossTenant-originalarrivaltime: 15 Jan 2022 22:48:25.4137 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: eL6HkF2nLEfHJAAm1ffYzXWIn57fV0MIa/rNyU7/ln/PdaOw3JiYuAQkpSl14bp6GuzP3Cexi8upmi/Z35Ja2A==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CH2PR10MB4024
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10228
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 bulkscore=0
 malwarescore=0 adultscore=0 phishscore=0 mlxscore=0 spamscore=0
 mlxlogscore=692 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2110150000 definitions=main-2201150149
X-Proofpoint-GUID: WLgZSCnrnt4hX2twyWC91tzgwbAPr4Q1
X-Proofpoint-ORIG-GUID: WLgZSCnrnt4hX2twyWC91tzgwbAPr4Q1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>,
 "53255 <at> debbugs.gnu.org" <53255 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Serving suggestion attached, for discussion purposes; there might be
> smarter things to do wrt alignment (using :align-to specs?  let-binding
> tab-width?).

It shouldn't be limited to hi-lock.  It should be
for `read-face-name'.

And users should be able to control whether and in
what way it happens.

(And the same enhancement should be made for reading
colors and fonts.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 22:41:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 17:41:08 2022
Received: from localhost ([127.0.0.1]:42194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8rjQ-0006uv-1U
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 17:41:08 -0500
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:40686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1n8rjL-0006ui-NR
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 17:41:06 -0500
Received: from pps.filterd (m0246627.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 20FEbDfr002761; 
 Sat, 15 Jan 2022 22:41:03 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=q1sUjoCSXFdJKVVa6iTD1ra9hVHCM7uHK0p0S+UEfSg=;
 b=KwZw+LBwRIyuEM4KZ1UBuoLFp6lD9xOIbi8FEJp4JBhNk1oaEamHuoVoMvN6xj+UKlSZ
 CvJzIE2v9B7LqeYvPFWMu/cYaUM1aB2kv52DnCOzJAe3H3nkPhk/4edCw2qM6tjXDECY
 HYJBaDA6yuMvPWPPcDClB+uK98lsyJIjOZJk3pNnqXgXHJjuW6j7+EVQHAljsxOdee6R
 0pvCpD3ezh6ZEo6NiIl/7X0Pio7dLN3TvMCFvcRZ+eMlPc1fP1uKHfIgN0lC4aCfWZYG
 vktnH1Nhq6+/uytSth2SutJevecW9mk+OlsdGKCSttmMObEfcjC2A9D55il2ta2iIuLE Fg== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by mx0b-00069f02.pphosted.com with ESMTP id 3dkmv20yq6-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 22:41:02 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 20FMUDrh122771;
 Sat, 15 Jan 2022 22:41:01 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2173.outbound.protection.outlook.com [104.47.59.173])
 by aserp3020.oracle.com with ESMTP id 3dkp31cf9c-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 22:41:01 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=n1SRdhy2Piw8Yu2Zxm8d+OVFZxdaIq82S27ucADL/bOKgQoh1+h8eh4rl5uqgbV+FI1VcA3TwYxpcTlO8y/MwpVVr5fEp0c9C2p51iI92JNbn7JSb251PbIgqNyfVZGzkuhgzRn1D0Jo/trdAVtcuPTTyRM1X96AKnu76bRaqkWoWkwWfF0mhy4y9vVEu6GEga5JKW7lujpF00p0bTQQv/LzxGFJQ2SwA0eUFjjouMm6yEDuU01xH433X+Zx1slPzJuR9R8DXRqMfSfJM1O/7FgZqBzToVJVgIcI+6Ot3XRvhG8WhfBeCJc2PxHNFpt1eXMxU61PXoHV+VAx5BLGOw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=q1sUjoCSXFdJKVVa6iTD1ra9hVHCM7uHK0p0S+UEfSg=;
 b=WK89vWnh8unDgnyhovgSot+UIMvINNqVYhxpIzEmEheVEAPFLoKcZJBwMOCMm2hA7V2ZfSrUcI7vl00cEqJGwwainJWEZzJ4ub7iDEZHvYrH5M5DNGgGc6sJMZNqEGi7Pn3nHDElXsjOacO849ZhwrOif4Z283TNwTpqSXBg1Qo9g6LaRh3jai2/nekdpd41VxJQqXT3hmK78re60ujecLnPq5i4D7JjSm/3ZdMnXwokTSq14lUcc8eIhvSbjQ0YhUIxTehQHv0E9n4nMTHaxJ/tqA/C9mWBX7zDfxxMcpC3AHeXyJ+ycJrEtdlgaCL6OiF3EDtVQTAzdl/GAsEFMQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=q1sUjoCSXFdJKVVa6iTD1ra9hVHCM7uHK0p0S+UEfSg=;
 b=APRGrGMd7mSxK872hFY4xPugpiFJW1MJskNZMNirGLgozhdZe3lGjw0V31PwVoDs6IkHziDbuyLqd/vEmgUp9sPquY3ix32/BVG6raUcR7QWSN/t0J1iUXKMFD0hVenpfLyABQGVDu33VMSvH7h4DSGsLEMG0nXVtbpvPQtPJRQ=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BN8PR10MB3570.namprd10.prod.outlook.com (2603:10b6:408:ae::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4888.9; Sat, 15 Jan
 2022 22:40:59 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3%7]) with mapi id 15.20.4888.013; Sat, 15 Jan 2022
 22:40:59 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, =?utf-8?B?S8OpdmluIExlIEdvdWd1ZWM=?=
 <kevin.legouguec@HIDDEN>
Subject: RE: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Topic: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Index: AQHYCeyi149s0mx2m0mjEIdTSF1DO6xj20kjgAAByIWAANAGoA==
Date: Sat, 15 Jan 2022 22:40:58 +0000
Message-ID: <SJ0PR10MB548813147A5DE5C163719C4FF3559@HIDDEN>
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <87zgnxnwkf.fsf@HIDDEN>
 <877db1wboq.fsf@HIDDEN>
In-Reply-To: <877db1wboq.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 81528fde-1901-404e-ac28-08d9d87819cc
x-ms-traffictypediagnostic: BN8PR10MB3570:EE_
x-microsoft-antispam-prvs: <BN8PR10MB3570476284B2C3674659DD92F3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: EowXRFKXUY703p7evlfKTZannNIWDm7UEmJrs2SH51X/Hrd7gIZU8mDIGl+OBbLwyt82xCfJ1vTnDzsh6ZfGII7qcJzHRtgvwJalDwqg48BiAMB8mSkKAXfEoVpC2PiLy/356YHFucHRtZNFRoboAZ9Q6pnT6GJyacqQsyj9xFviTBSOILA/MrRi39Kt0WrDjnDh8pzxH58AeWn2PVHYhHtAwrPhoZ01RxZacYg5Mo1WyHCG8gMm4REZulXoyMHFf0z3OdZSRJRBkcMyhWbhV/b2SyF1YWFCqrdQ2b54E5JKP+K7e0NWHxxJjaiN7UamgmdQN0qQTlyjF1X/0zSVWujIYRXmEFDZd2+uIGJ7EIZGWtr6UNehcXbAUMZ8RYOJeM4IArl2uGXEzc+07d6NO3itgb5PeGLHhAPx1KQpoeppW6MGl1bfhP4NJ+xyGU1L5xxHE14YVC8pvN52eebVFngaMAXH6yFq3qhzTZjxabS+om9sxwhf6klaczMtUjaubCSRUPqWYJK+4yDJTh91fgmAvPLsnpnhuzlh1A4ZsOOsiaYz2pM2RF0nyGLZ2jav309kCJP4dEFiCWtJ9r2wB3RgeDyCJpRs1d5po01OFmNoCh6w/p5dNEeGSFcYSh8vwDQnoDk8JERs6r/IODsgus/rgfGoSJuyk/2yldobX0wp/dzpt/M1NZYZ58p4Po+ZzDsNFpQvz18k4/OAfgGf2A==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(6506007)(38070700005)(64756008)(8676002)(44832011)(66556008)(66476007)(110136005)(9686003)(316002)(66446008)(54906003)(186003)(26005)(508600001)(8936002)(122000001)(33656002)(2906002)(86362001)(4744005)(71200400001)(5660300002)(38100700002)(55016003)(52536014)(76116006)(66946007)(4326008)(7696005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?utf-8?B?amhNaG1mZnk4OWR4bmxDMjJ5RVRoOGNzM004Vk1Jd1FDR2ZSNEF0VHBTV0Qx?=
 =?utf-8?B?aElPQU84SE1PQ0pBLy81UVVVR0pLaytxNDVXaG9LL2hFNFJma1B5TFMrOXlZ?=
 =?utf-8?B?R1VPRGRYWVRYWDVrM0dJZk9aU0VoYnRUUEdMRnVuZ3NiTXJrQkJtM2RmSXNF?=
 =?utf-8?B?ZXRBL2NERGJSTXlCS3FUUDlyVGQzVGRvT0p1RURFdHVnNjFXemwwZ1lkRzNz?=
 =?utf-8?B?anNPWUtDOW8rZWFGRFJBUnBrclJwZ2JFN3NIb3ZoaVVLWlFicFlLTWUrVDVk?=
 =?utf-8?B?d0VzNkxWbis3cVU2UFkxZWNnVy9VdGZ6QjBtTG5JNyt2SkUvSlZNWERjdGxO?=
 =?utf-8?B?WUMrMDROUENaU0d1QmVvbm9XNjgxZUNyejRDbHNKbzVSb1JpeWVwbWtvUDgy?=
 =?utf-8?B?dU9KaS9ZRGpOVW04ckE0UUdXZ0ZaZEMycmo0S3FLSnhiaWhCYjg4VmdtdG55?=
 =?utf-8?B?M3NKaE5sQU10Q0oxc1NTNGlDZkhzY1BzM0tlNVNVZ2hVSEpOVWFabE9TQ1FP?=
 =?utf-8?B?bExMeEpxMDhMelo5Q3FUejhGSnhXZFdKRlBNZGxDSE5OY29VWC8rZUVKa2lJ?=
 =?utf-8?B?Tkh5dEliNWRCTVhWOHJTTUM2QzhybkVUalpaSmx4Q1FySXBubUswcnpydEJB?=
 =?utf-8?B?c2dhSWJvRy9RNUJtM0pTa2dkMTR3clVyd29FTnBnVGtsbVdVV2tRdENjVjFL?=
 =?utf-8?B?NlM5bXREUE5FcWtoa1FpTmhUT3pra2k3clNrY0lCZ0txZDRZK0t4V2JuSGRT?=
 =?utf-8?B?eEdwOGlJRHRhVHVGZGdxdVVONkJpQzJhQ3d0RTRWU01FMUxRcGU5WWVTeHBF?=
 =?utf-8?B?NktZL1ZBUFFZdHRIckt0UERKblZBazhyRWZvSDZpVmZqSWR6M2lPYk1PYW56?=
 =?utf-8?B?VnlXVzd2c1NoMXVVWHNFM0VHZU5vamlFZzIvTXpXZE8vUHFkM0VWR01NMXFn?=
 =?utf-8?B?YkEzbTQwOWdGWHRtWkdZb25Eblh3WExqbGxqL2pTeUJ1RmJxdkxvaGRRV2sv?=
 =?utf-8?B?SlNObEhNRmU5bThPZlZmNHhvK3M1QTJWRm5MMlVoVWtXSE15TmcreDhMTmRM?=
 =?utf-8?B?dVVTS1lpeTluTDBVcWpGRnRPTkZaWTQ3RW9WNVdiUnB1eHgwOHRGWTJMWWxz?=
 =?utf-8?B?Ry9RYjlhL2pFR2pmRFJLbzFWWS96bDN1MWdHY2hsQ3hyanFZSGdvV2tKRWQw?=
 =?utf-8?B?Zm1YcHhmbDkxSXRHM084RlFtN3c2VCtDRUx0aWpRYjZlK2JaWnJJd1lGNS8w?=
 =?utf-8?B?RkdLLzRWWFJ5ZjhOVURoN1BYcUR5bTZGQ1pzMGI5M055bXE2VE52R1VmMFh6?=
 =?utf-8?B?WElzWVNDeFM0Y0ZwUlZSWFlwQ1dyTkczSEhKemJXTVVPU253WW9Kdkl5a0JU?=
 =?utf-8?B?MVQ2R3ovTkNXRE5yTVdmQ2wxVFFMN0lrLzFzYUtycVdocVN2VlNZTlFRYkRF?=
 =?utf-8?B?bWVMRmVOVmZtbmwzTXlyYk5jUG9WREZEcFN4QUFZMDZ6TTg5YXhEM2VnQTVW?=
 =?utf-8?B?UlZaZDg1OTBTTjlXTEdpaUVvY2F3UEIwZXpiaVFKR0RxRUg4elE1NU9lbmZW?=
 =?utf-8?B?U0syb3ZEZ0pITTZ4ZGRXL3czdzlNamRBd1RZeGJRYXdZU3JjZ25yb1RJdFFO?=
 =?utf-8?B?cndiTnp0T0FIdFlCUFFoZ2pBQkltTUxEWFM3YlV0STVOL0tCWC8xcTVtQkov?=
 =?utf-8?B?VnhrWXlPYk43MGs3czBjREk4MXkwVmdpVDdKelNoRkoyS3F0K0QrdGtlY1RU?=
 =?utf-8?B?bXBtUEpBY0lPaS9hcXFmakl4clkyYmV2RHZvZ1ZRM01WVE9VVUpHbHpmNjV0?=
 =?utf-8?B?RXNmbHFIeEZLUSs0RVZrTTNQdzRzK3F1VThuZkZVQmVGRFRDN2g1OFNJVnpm?=
 =?utf-8?B?blBnYjAvSVZTNmlLV2UrRFU3KzFQenlaVTIxWWIzSVBvSWM1TitTdlhZL2Vi?=
 =?utf-8?B?RklwZnVBU0ttYVNlMUhYVkFZVVZUN2duaDFCd1U2UnFEWEx6Z0c3Sk0yREVF?=
 =?utf-8?B?aDRQNWU4ZHBuRHd2TXJXSkNJUFJ1dmo1WklDMXFLOUlVdFJlRGFoQzhPZkkz?=
 =?utf-8?B?cGNyS2dsc2liREp6bysyVHIrYkIyRWEzTGJ5MjBSamNWSG9HM3UraFpoM05q?=
 =?utf-8?B?RjhkS3JRbUFSRXJ1emZzWjFBS1g5Wll6NkJzZW40K01RYTlXMTRPazQ3S05S?=
 =?utf-8?B?MlE9PQ==?=
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 81528fde-1901-404e-ac28-08d9d87819cc
X-MS-Exchange-CrossTenant-originalarrivaltime: 15 Jan 2022 22:40:58.9529 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 1A/36+ODL78fNokRbb6yQTsl8F0y7tOmifKY6z869+2Jmxw1Ulo1CIk1Q32YaY7tBhRVSjxQ2JNqwKBxymfeJw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8PR10MB3570
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10228
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 bulkscore=0
 mlxlogscore=886 adultscore=0 suspectscore=0 malwarescore=0 mlxscore=0
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2110150000 definitions=main-2201150147
X-Proofpoint-GUID: Ac4r0pOiei2b7V1uRmoPxzvvyZMlgVQF
X-Proofpoint-ORIG-GUID: Ac4r0pOiei2b7V1uRmoPxzvvyZMlgVQF
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>,
 "53255 <at> debbugs.gnu.org" <53255 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

PiA+IEluIGFkZGl0aW9uIHRvIHRoZSBvZGQgc2l6ZXMsIHNvbWUgZmFjZSBuYW1lcyBiZWNvbWUg
Y29tcGxldGVseQ0KPiA+IHVucmVhZGFibGUgKGUuZy4gdGhlIGFuc2ktY29sb3ItKiBvbmVzKS4N
Cj4gDQo+IFllcy4gIEJ1dCBwZXJoYXBzIHRoYXQncyBPSz8gIFlvdSBkb24ndCB3YW50IHRvIGNo
b29zZQ0KPiB0aG9zZSBmYWNlcyBoZXJlIGFueXdheS4NCg0KQmFkIGFzc3VtcHRpb25zLg0KDQox
LiBQZW9wbGUgdXNlIGNvbXBsZXRpb24gdG8gZG8gbW9yZSB0aGFuIGp1c3QgbWFrZSBhDQogICBj
aG9pY2UuDQoNCjIuIFRoZSBiYWNrZ3JvdW5kIG9mIHRoZSAqQ29tcGxldGlvbnMqIHdpbmRvdyBp
c24ndA0KICAgbmVjZXNzYXJpbHkgYW55dGhpbmcgbGlrZSB0aGUgcGxhY2Ugd2hlcmUgZmFjZQ0K
ICAgeW91IGRvIGNob29zZSBpcyB0byBiZSB1c2VkLg0KDQo+ID4+IEJ1dCBpdCBkb2VzIGFjY3Vy
YXRlbHkgdGVsbCB5b3Ugd2hhdCB0aGUgcmVzdWx0IGlzIGRvaW5nIHRvIGJlLCBzbw0KPiA+PiBw
ZXJoYXBzIGl0J3MgT0s/ICBBbnlib2R5IGhhdmUgYW55IG9waW5pb25zPw0KPiA+DQo+ID4gTWF5
YmUgdXNpbmcgYW4gYWZmaXhhdGlvbiBmdW5jdGlvbiAobGlrZSByZWFkLWNoYXItYnktbmFtZSkg
d291bGQgbWFrZQ0KPiA+IHRoaW5ncyBsZXNzIGphcnJpbmc/ICBFLmcuIGZvbnRpZnlpbmcgdGhl
IHNhbWUgc3RyaW5nIGZvciBldmVyeSBmYWNlDQo+ID4gKHNheSAieCIgb3IgImV4YW1wbGUiKSBh
bmQgdXNpbmcgdGhhdCBhcyBzdWZmaXggKHJhdGhlciB0aGFuIHByZWZpeCwgdG8NCj4gPiBrZWVw
IHRoZSBmYWNlIG5hbWVzIGFsaWduZWQpPw0KPiANCj4gSG0sIHllcywgdGhhdCBzb3VuZHMgbGlr
ZSBhIGdvb2QgaWRlYS4NCg0KSXQncyBiZWVuIGhlbHBpbmcgdXNlcnMgc2luY2UgMjAwNyAtIGFz
IGhhcyBnaXZpbmcNCnRoZW0gdGhlIHBvc3NpYmlsaXR5IHRvIGNob29zZSB3aGV0aGVyIHRvIHVz
ZSBpdCBvcg0Kbm90LiAgVXNlciBjb250cm9sIGlzIGltcG9ydGFudCB0byBzdWNoIGJlaGF2aW9y
Lg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 22:32:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 17:32:03 2022
Received: from localhost ([127.0.0.1]:42184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8rac-0006g3-Ml
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 17:32:03 -0500
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:5978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1n8raY-0006fX-1J
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 17:32:02 -0500
Received: from pps.filterd (m0246631.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 20FE2UlX020883; 
 Sat, 15 Jan 2022 22:31:57 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=dRS9RQjBC2OLbZJsthcM7rWKEzIw2l5O0eT1ztemj88=;
 b=EKX3BvWndC2FOM7wuQ020lxyQn77+eog/x8lCGD8VZh1QGnVQcfuXCycPjAX9709B6LU
 RtbNHV03kuWW3pTmUV8ER44ZZY05ONLWh1QQIFMcVcahar5mVPbmSQQs3WbpB8gxU0t6
 BpcCKSugg3cqtP2Z/wswITe5m2pSfUTXUMlB6D2inkq+JPXAOugz60PxubXv7ufLUHdM
 FuIp/XnJgQpPr5KJYBQFZHETf/pUsKHcZ/4GXlHYUC3aOsFda0ducd8FVz57s56uXQTx
 jtR7nAOecEEO/GPudQljxJEYAwbDys6A7aWRrlFjimqomTOHhp+NRC6TJWTHF46dV3BD 5A== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by mx0b-00069f02.pphosted.com with ESMTP id 3dkn22s062-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 22:31:57 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 20FMUVKb132461;
 Sat, 15 Jan 2022 22:31:56 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2170.outbound.protection.outlook.com [104.47.58.170])
 by userp3030.oracle.com with ESMTP id 3dkkcthwyb-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 22:31:55 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=JT9HzYyhXZHIj1ZOJFyBNIV9F1VIVb4pzhS1DvGaHQAwbacxldRRJ22kXR7s0HlOOSRb/9wCiOCzaGIK5kubMfnguIKp4AFczwx9/JPcmCz2atswL4cL3siVmu97PHsHAuT0+0LILZ+cUjPq4dW6c0C+TDamdLImNbHm6yLY6GtXhw8JT8XpR3lxEjqa7RCjQXf67sxk+sX4sf/694BwQ/ZNCWxg/yXI4uw/Xcq0txrqvHqPqpErG/uSvO4wVAsYI24GOySYdKLtt8cAvTEY19rATh82IlHFLU7bUIwcRmRFef2tVMVAxAdpcYQB/zEQi1zHE0MbZYsYZNaqA3iQ/A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=dRS9RQjBC2OLbZJsthcM7rWKEzIw2l5O0eT1ztemj88=;
 b=c72IyauhLN+2eGfu7Rtl3sN0scxTAVxjiE5Pi3T1snO+L1XP+8yIUAOju51TqVNvRo+Al6gkmWdSr3VS6mzkRD5tE5FfpEG7B21b7Dh0GdZoXTTqY8Wzpj9cJNTJgFxXsaA58dqZEEVtGjVejVNdjWk3GZicAQIJsgX7SOCPhmp909XY6SjupYnVt71i39lwIiOalHNUTcBwqvn2aaHL+JLuYLige3oJWt8jVxUhq1kfvvGHHgksxyKY3KT3kM0XeAPxOSQwMpCoLlGEILaSAEWNMMjCOG18aDfXVtWIPa27A/iOPmdYRfgECPGRXXh+ossKapYwv1eQJuvoU6UJTA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=dRS9RQjBC2OLbZJsthcM7rWKEzIw2l5O0eT1ztemj88=;
 b=OGNNhPLJuqfMxnWl56kYq+Zux4p7JH8/hzUYC6Ap/WZf6d28TWXnipzie1bMO6eyXJH3SBAmndSIw4ykw7iBR+P+kqEyFZiwgpQM2LcsdORDehoNeHGoKbbQHNjGtip4ADk12UQ0tJJPewdXdtK/HHz2L7W8fQFyyHuAFKFqaHU=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BN6PR10MB1345.namprd10.prod.outlook.com (2603:10b6:404:45::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4888.9; Sat, 15 Jan
 2022 22:31:53 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3%7]) with mapi id 15.20.4888.013; Sat, 15 Jan 2022
 22:31:53 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>, Lars
 Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Topic: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Index: AQHYCeyi149s0mx2m0mjEIdTSF1DO6xj20kjgADNTWA=
Date: Sat, 15 Jan 2022 22:31:53 +0000
Message-ID: <SJ0PR10MB548823FAACFF3080065CDE3EF3559@HIDDEN>
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <87zgnxnwkf.fsf@HIDDEN>
In-Reply-To: <87zgnxnwkf.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a2d274de-ef53-466d-85f6-08d9d876d4b2
x-ms-traffictypediagnostic: BN6PR10MB1345:EE_
x-microsoft-antispam-prvs: <BN6PR10MB13458565F14064B3DB6399E7F3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6790;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 4Xv7GRd3a0Ng+NWhZga8mzjb8R5vM+Y1yW6zLumixg5EYehZDVnSAcNr4hNGkTdnDUONb1HnaFToGFq4/ADRaA6ixmwTjiW2yKOSuxmuV6UoW8lTDkWAxe4Zi1STi2rgxpskyBsXy/JtwUe/tCWLXnSCll/MQphtATFkZNd7d0K/ucjytQdVIzmMs5zBPXvwCfzrw1CFj+K7dL0A3LVo9LSb4i4N4hrVZKYu3i2AI49bMgzMptfdTxnphiwuX9g8VuQczT5BxYtRPkPPT16le0VO6WpdTDPwUlWmq7g6l+jCHF2CyT35wyWz3DE5svssGKdn75yPctt8RCdvnKisxJdwvviQi59peHIzM9e2QJ2XMmjd4z2DturFCS91acQAF45cn652bt/YhiMkyrS6NVxcedKXh/W8eiMAPasnUiThvJK0khTiTuQPCyxWr5YjDB0Q5mDVZJ+ZpeZmVUob1pREJgXj5ThTfExL1tT7cpvJ/s1OV6MKGNRZv+PcGOziQyyxhc2ck8eUkMlPUWe75qXSdCW78dpwfsZQON7l7kzNOcHfsfCavUch1WXD/fcNs1rKfTwo/VF30d9gyJGkmIUrdcABlZzD/+dc4hwXqeKECq6pA1y8qT3dsfXvU1K7ON8FL81sUkVAvvyLqeh/EB+dUwg7yTqqf0FjKq8zIhwDTuGMSiAQwG5RtA30KM3U+IwfpfCXM0EYvKXSDA5nkg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(6506007)(38070700005)(83380400001)(7696005)(8676002)(44832011)(66446008)(66476007)(66556008)(110136005)(9686003)(316002)(64756008)(54906003)(186003)(26005)(508600001)(8936002)(122000001)(33656002)(2906002)(86362001)(71200400001)(38100700002)(5660300002)(55016003)(52536014)(66946007)(76116006)(4326008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?iso-8859-1?Q?Cgp2JmtaLNOaS9Q789ocyW9c6Di/xK5Fmv8aCUSHJl5nKt4bML7HVHgxzj?=
 =?iso-8859-1?Q?M0cKyq7y3ubhLwROHb3RbGzmx+KEmg6vTIj/qM9UfJKaFjVkFoyQqL+sFa?=
 =?iso-8859-1?Q?iKuT5T7Q3bfYHWex0FAj3KHqcOxrbHJn3bZPUSHht84JSbkgprBXj+3/vq?=
 =?iso-8859-1?Q?9Uq3avMYFfwaL9vm100yVE4bK85bWFaBBwt+dxn+MZsmWFKWPAVjObT3UG?=
 =?iso-8859-1?Q?/J7RVTPHNwTrUDjD1Uw+LaiTp8m8BhmGSNlntwCTbNJ6a86D5krnZ3wMIA?=
 =?iso-8859-1?Q?kgLCpVGmKvmYIAg4l5Gf4AkvMPafzXaGhl/b4C4nnDXVyZVXb1U5bMv3IP?=
 =?iso-8859-1?Q?hvaxnEavm9cJmMnfdX600O3lLIHYgTU9E9ZukxTEM4EJEMlOpM8hwem8cq?=
 =?iso-8859-1?Q?7A2mnHyDVzswFOrfRlB0pFTnsEgcMVHj8fCIz8LOZarknd7ZN/zTyyzjDG?=
 =?iso-8859-1?Q?R1T4KTUEtbMIrsVle0PI2G0ZpTjY5Ey1Z7yABkRYclKUfExAioEC0Gme6Y?=
 =?iso-8859-1?Q?XzzAC4A9WPVL/AgwCYdbRNVD2dRA6rBVhDlZCdyvuwSpSHtPsiFpRYGy9v?=
 =?iso-8859-1?Q?pqoifzBANbtV76Lm4c2TnB3La0Qr1FQteqgbmyYePKtbpgoh66JxLiOcOF?=
 =?iso-8859-1?Q?rLu3W2T8CWv0FJB16O36oDAoSO33BJRouOl/Ewr4CEF3lijHtl09Kusim3?=
 =?iso-8859-1?Q?xVgIQM3XIxxaPxnRkYc8o2Xcb8+mQca2HgdEyOEjwseVPSY97XTupRiSA9?=
 =?iso-8859-1?Q?g146S2YwCEdhqcLe+Q8TMOXzRM8yX99wNtnnFbsth8tCb7Vy1nspcY7ToJ?=
 =?iso-8859-1?Q?XQpCPCB9ulkCIs1DDTPCZvjZvrofHINXHyQMcFSJ0Gh565xaygfA5ZIPlM?=
 =?iso-8859-1?Q?CKmyGKkI/oyzdLnjDTlvwg6ZSQLeAZd2kGd9bGgNWunA18/NGgUZ10FG1q?=
 =?iso-8859-1?Q?E+WuL0NIBxZT9y5RP7cJ/FSM+VNH/lSADq1ir39qGoADE/FDlcUQPxmWYo?=
 =?iso-8859-1?Q?O2UPKtC8guYYjS7mWdaOftkQrCby4rGEyfUO1zVfdSc0jra9uB2QS127Du?=
 =?iso-8859-1?Q?5x2yBDMLneCL2hX1cYjZ0/U1Z/Wb0atj1O3A3fWZkW2LwV4YgEiTxdvedr?=
 =?iso-8859-1?Q?NexwT0ZGmtGauMUUHyf1XD9QIN6YU5Hb4AYQRy3BcJGRH755oE3g/nNg6s?=
 =?iso-8859-1?Q?W5cJ7G5p1fod2zpjlnTltSdtK0b48ayg9y+w7uWFS+rMeG3CRpAha7Rj8d?=
 =?iso-8859-1?Q?RdAAq4nDcPdHsVd/B/gw6BaGU6X6canaPXkgv2G+l+p7kxGuR012WTRAib?=
 =?iso-8859-1?Q?57PDvayL78Six8tWVjrw/HKZMRCNRF/J0vJGQBuqE3Jo1BUbWq7xZzH6me?=
 =?iso-8859-1?Q?CSSRjd7v6bScbeEWIA19D3D9zJbGQHTOWA76yQchZchJHmCFtQNe293KIH?=
 =?iso-8859-1?Q?Tb4ETmZDmrgg83pFuIg+a18kO9FJdFAB5C2jp/OasqS7pL8qghOcEH207D?=
 =?iso-8859-1?Q?Y5wPaMoNuWsBVe+VuywSGgPQbsgEVABR/UwtOTKQXcqyy4Hw1y9wiGeTTz?=
 =?iso-8859-1?Q?1PGUBVtNG5aM0rqvceGcimZZBtqI2wSowFjCKhSw9OrYjjz2CNpX33aI+V?=
 =?iso-8859-1?Q?9COCCwyO6F6vJfwdYn4tDTmkvrKx5SgFG9yD6IkJdBIRYz1O83gZZWLw?=
 =?iso-8859-1?Q?=3D=3D?=
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: a2d274de-ef53-466d-85f6-08d9d876d4b2
X-MS-Exchange-CrossTenant-originalarrivaltime: 15 Jan 2022 22:31:53.4907 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 9I7Vy8vHjEz6L4q79cp4H3ecq2yGt5dQ/C3TFVKWhGr2Epu72V2vslqKBAsvBjBm4MZmVYdBVJzob8Zv3Y+Nwg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN6PR10MB1345
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10228
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 bulkscore=0
 malwarescore=0 adultscore=0 phishscore=0 mlxscore=0 spamscore=0
 mlxlogscore=865 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2110150000 definitions=main-2201150147
X-Proofpoint-GUID: QAZIyxVhlQYZpIJ3MuKWu8Ba5eNRjutQ
X-Proofpoint-ORIG-GUID: QAZIyxVhlQYZpIJ3MuKWu8Ba5eNRjutQ
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>,
 "53255 <at> debbugs.gnu.org" <53255 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > The patch below implements this, but it does lead to some strange
> > effects:
> >
> > That is, some faces have odd sizes, so the completion display may look =
a
> > bit odd.
>=20
> In addition to the odd sizes, some face names become completely
> unreadable (e.g. the ansi-color-* ones).
>
> > But it does accurately tell you what the result is doing to be, so
> > perhaps it's OK?  Anybody have any opinions?
>=20
> Maybe using an affixation function (like read-char-by-name) would make
> things less jarring?  E.g. fontifying the same string for every face
> (say "x" or "example") and using that as suffix (rather than prefix, to
> keep the face names aligned)?
>=20
> At any rate, I do think that showing the actual sizes (and colors,
> however unreadable) is a good feature to keep.

Yes.

15 years of practice (with Icicles) says this
enhancement request can be made to work well.

The key is to give users (and their code) the
control.  It's perfectly possible to have the
face etc. name itself be shown without any face
property, but to be accompanied by a swatch
that shows the appearance.

I assume that's what you meant by referring to
`read-char-by-name'.

See the screen shots I linked to in my previous
message.  Give users 3 ways to show candidates
that determine colors, fonts, and faces:

 * No sample - just the plain candidate name
 * Candidate name shown as sample
 * Candidate name shown next to sample (swatch)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 21:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 16:46:45 2022
Received: from localhost ([127.0.0.1]:42110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8qsn-0005Nz-8M
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:46:45 -0500
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:4142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1n8qsl-0005Np-GA
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 16:46:44 -0500
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 20FEUNaM017337; 
 Sat, 15 Jan 2022 21:46:42 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=TRr/et2MtC+w2q/vFB7BQTnCoAd8aPVE3dwcPhxeKD8=;
 b=R5EINTv2bTciVi1nQ537Hp2MIQ9Xn4oj7VmZCkVflK/c/mZv4pGd4xCc5gm4Uo2MtO9d
 a9OXXz4aUui9kY2/9R6maW97+BcxJqCx8NqaU5dbmmUi9g2Hejfnox29epys5QsmG2za
 STfqdrC5OAqqFfGmKoUtgs99sYjS7R8koj8BZybpA+qeG3ZYXAOnALjvsGHZiGWrufwQ
 CSSmYF5hv9Lw6NuFMDjbhCp1KuCA4IsmVBPlnh6OhCcNGeRYiH3VFKaDVyMtbX8/A/JU
 F/bBOTXaeX3U3wsa0xV4JuyzHcGbYcMnDQ+/j0S5ftjFendo0pqhFgQjIexGTghZ0mzk 0g== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by mx0b-00069f02.pphosted.com with ESMTP id 3dkmpcgxwy-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 21:46:42 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 20FLkAUi086753;
 Sat, 15 Jan 2022 21:46:41 GMT
Received: from nam10-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam10lp2103.outbound.protection.outlook.com [104.47.55.103])
 by userp3020.oracle.com with ESMTP id 3dkqqht0a4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 15 Jan 2022 21:46:40 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=RWHgQyPYAcB1MOohpmTxx1wvlY3yeMB30RrCo9FEAaW5Yx8kljy8uoFfJnxYB+ttCYSZE1B+Dh/nFzMLhUXGjljQ3VTpDyaMq2RmlLhDg59Tx82TaodsN539jjjlXiXL+5MySIET9KrzT6RW+hOw1rQtQ42NIsfSorhepce+LcKmEIOU2AlAmCKy/fyTHYIaHpr+aJA9ScKWpUGzYhnlvMHmQHFGAH+VxE9zDkcSV0W2saBt9WZN9HFadhCtkOWju6Dpuk/ytnYmuKFe8UU58EayrV89OdpzDSolc4j9iYa7cgKe5VVu2BTGMMPHrBi7hM++8Qmf/D1AWHr/sXjOSg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=TRr/et2MtC+w2q/vFB7BQTnCoAd8aPVE3dwcPhxeKD8=;
 b=OvPDv5K+d1WDdtg30BGfCeDh2Cm6GQ/OEh5SD9/guWTf+QFGleONUHP8e2RNosRnOQp2Nv702deQmv3VRhoVjrtedSv7izMLX28myV/uVa6Ny6O+mmJXiWK7XNdOQDnFly1iVjlS9UmsDHix5s7PPEEvalicL67KtI5xuJmvnzi6UU4XvWitBjLJaqKUqhT86r8xbC0rKfgDl0i6sN2igpdoiHOfUNzCH7IjLCyKSJ+ulo2YobfRdVuYecvXRZhOXEjTyOInwIbYwmNCWQkDB6EhtK04yizOpakhX8KoOYcuG4k8m2JJr1Jb64c2A0XvWnHz1OWYItW9wn1KLxZaaA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=TRr/et2MtC+w2q/vFB7BQTnCoAd8aPVE3dwcPhxeKD8=;
 b=BapBm6v5Y6Wf8hLS0iK+eLID1lgM0GQ3WAUUF3OXT1Sok7e1E6PNWMmctiYRIUjK6BLwYqwJGgym89k6zOQfxfybY2mUVNO8i95Wh1rkji3vvr0Y6jxFu3+izCg4oT2fHp7CrT+8kQmzjoqy8X1DWl6LXhtzl2digzdGf2ENiS4=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BY5PR10MB3940.namprd10.prod.outlook.com (2603:10b6:a03:1f6::20)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4888.9; Sat, 15 Jan
 2022 21:46:37 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::99a4:696f:5f30:36b3%7]) with mapi id 15.20.4888.013; Sat, 15 Jan 2022
 21:46:37 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, ndame <laszlomail@HIDDEN>
Subject: RE: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Topic: [External] : bug#53255: highlight-regexp should show faces with
 their properties applied when selecting a face
Thread-Index: AQHYCeyi149s0mx2m0mjEIdTSF1DO6xknE+w
Date: Sat, 15 Jan 2022 21:46:37 +0000
Message-ID: <SJ0PR10MB548812F95C88D02A6DC19DD5F3559@HIDDEN>
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN>
In-Reply-To: <87y23hl729.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 708db737-d6df-4331-8b81-08d9d87081dd
x-ms-traffictypediagnostic: BY5PR10MB3940:EE_
x-microsoft-antispam-prvs: <BY5PR10MB39404432D72FD6533ADF858AF3559@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6790;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: u0PFx/q+ouKAR0A9v/HAF8B2XKR7Vu2tkvQ/DP5tQiLBG5S7iE0ufBtyBPr3MT+XacDqYyYTc+nagnFluu/RdSsB8ZSnoOAKn+BrdZsNbAUAXxblkOy+DPbuh7Fdd95Tkm33vTKVGmh6vvBKKHJYaDIfFLY9WMTvsdGs3ThWvKmZyrV9oZU/+rqmmXws6owjCtjNKUAl5OJwvv9aP9cy5yWDDvKuuoAIohis7dw8dzgEHKqYYzXFcW8y6NpcrNkQxh0Z7PAee7uQZznnzvjFQQ7JGubU5tN/FUNsujd7SpmHfiIId6rdnODyTmvKhYseBDkgURhnNOJtVW8HmjMwWGbgMHsG776pCtGCZr+P6enLKjEX9gb/Yw81fEtxkXuSGSlep0xHNS8MjmJAZxS31vcTQHsyHnCzavD5oeMDJeYMp7mbYWiQnncQXdqpB7llOtj0To0nhl56SsHSwWdOzeNOOE570UCQUtrVVeZNUh+ppYxuZnQ3cxS38YCRY73aNYtpbP8VYEVNDYSE4B+Bd736Zo1epEzcX8781AhKDglVM+zs7yzrkirFqV6a9lV/PM1TwFSe0mI65g0xjSIjPDhVY1QxTBph9AQggc4aYb+/CGxQ+I7qvTuJ5EVn/wPael5s8mbCK06+UWGZgNP2zABQza2qw98VXQklHCcVubiIWHr3speTfTuBfjhKtvLSSU5MC6YRMBAG5RUCgETdGEoEGw8T8KJ6YQ67AuhtzjoKiG9TpHulFzJx+kgMIjMTw11cE7pxTYd6H6jJJU2eINSPDaliutnwLLaXYHYnXsU=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(26005)(38070700005)(7696005)(9686003)(33656002)(66476007)(66946007)(64756008)(66446008)(86362001)(66556008)(76116006)(186003)(71200400001)(508600001)(2906002)(6506007)(5660300002)(52536014)(55016003)(966005)(110136005)(8676002)(8936002)(316002)(44832011)(38100700002)(4326008)(122000001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?NMGY0CVK9NwUDfsNboa7Hm5VwX95VogCs7Yr2X95ZleW6SxI+rEtDyd2sDL4?=
 =?us-ascii?Q?KJ/k+cMBhT+G5V7k8i3G51BcYHDUObc30XIiYg15xZPSyuvRwxQC8oxmnTg3?=
 =?us-ascii?Q?+ToaMm0U/Jpv4FIbkxarTlQsAq1FxeshvtnQL1UtwrKGYYPomBwpW+eitfkr?=
 =?us-ascii?Q?3D4n70nCM3RX5wHhGn9lLMP8ycdTdMhqOhvNlyTKl/O8nkgaLbbeAEcia4NU?=
 =?us-ascii?Q?Hr2fRX2b1Nef7VyOr+9Ww5NMu4d9JXLdAh7yAAlcGIwjKfZqd2bBB7p1P/Qa?=
 =?us-ascii?Q?NTH5+ll0AFMtnTEKoGO1yHPeSgL0FILSZk2TXykw1xNOrXNDMVxCbPXB6ltk?=
 =?us-ascii?Q?R23BZIe76mrKRa5Npuw6npGwLeWDvfRGH1bnPpE/4octuvutFdIqSIbiNahr?=
 =?us-ascii?Q?58XBkhyKb6fBfzi8KL4VnYAZ970/BUJrXiImuUWnwWft1AWZ7fflgtKWhc3Y?=
 =?us-ascii?Q?wprSzCfqi7h0fOtZDH+GU6LIpOBVp6XI809VWP1dyqj56oAEXYQ8ISrqjD/K?=
 =?us-ascii?Q?0pf16zsC3PL4zpafUY1xPItvOJ8K8anAK7WkK4aTMRlSZ3M59LvleoAh/fNr?=
 =?us-ascii?Q?snEd3XFC5/Mwi8Em5hxLqwEPDoLY4aAWJL8FX9sTK05k/CSdw4Q/fah+/BB7?=
 =?us-ascii?Q?oNTbPe+x+l5CpE824k2l+gff+jKERnlYLQGyFrm3MMYSfeNb20mKKJqZ6X3b?=
 =?us-ascii?Q?NMbktwoQ5Saxols3A4vg1784AA5cn8cABi2KmTyqep2XRrkMy5RWRkGJrOnP?=
 =?us-ascii?Q?h7ssF+0VygpdETaWkoHxoJmTRNFvCqOrcxTMy1UljrtAX6vVajwsC4LvYke6?=
 =?us-ascii?Q?JyreHJ9LinuB+CPstqr7NsmYqF602ZCsoUACPpl5X9IgrGOyqZN6CSs+lv+9?=
 =?us-ascii?Q?zUdOFb07XNfS35UeHUP23IRP2tk0XSNlHC9etSOH/IkJ04WG5g2rjMptrQ3o?=
 =?us-ascii?Q?3v5tDoGtM7FtGcfJXJp2z6Lp/10rO62Sb6pzyphRr/AYwAu0N9kx1kaIH6qZ?=
 =?us-ascii?Q?B6FeeNVi3198OVZ54r4/y6wpkLnNZkvpSBqb1ngBZzTznH3pBmJz7As+JMY/?=
 =?us-ascii?Q?vrYEGzi6pVCnesJ8t2HzIaWkSypBfyfvopwo6DIu7uRFiQw0jeqZknz4+XcX?=
 =?us-ascii?Q?MG0aGPtlYBzIJD+ETugMjhXQELwjo2+3abDGnoAbFWUkTCjCHKMOSdQtwayZ?=
 =?us-ascii?Q?N4KGZlV7Y+lyPm0lX4mnShNfa4AMz3L3VAjytNU/0/63r0pXTjflC3edTjfO?=
 =?us-ascii?Q?NHu5V1HWTlm6SXVGYKXnh9HViCFu9Fdog6SsbyCfNS7N1JukhFqqTE00grvv?=
 =?us-ascii?Q?r06ZjyhZKCxhG1HRgGeuIOpsPw8n3fzoLQshG4yY9LLEUVz86x+UXU1JEMhi?=
 =?us-ascii?Q?iei8dP4Cga3um8rvkPY2Um+Fl+PvyYMpuvSkmah+Zbmpffqh2vs2510pMghC?=
 =?us-ascii?Q?t1fZN5WDAQ6ThoMznr0uz4ISbwJkuiq3V5ndoY3OTDe7w0VHCSYdYjlxWjUv?=
 =?us-ascii?Q?Z1bmiy+kRpOMejlW4Q+rgdmxC88+STeP7bburjR4jdTL8+DIYMZ4bCbd3Pgz?=
 =?us-ascii?Q?5hGSYfNCvLaVYtgxwe2obVYImuKtMaMJW5dIRVYL3hw4eK3yj2dhwMfAxvXl?=
 =?us-ascii?Q?iw=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 708db737-d6df-4331-8b81-08d9d87081dd
X-MS-Exchange-CrossTenant-originalarrivaltime: 15 Jan 2022 21:46:37.3229 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: UUKdoX2A1cLrd9tGjRLNVwLM+2tZLACEU4EwEy8y7oW/3arUUx0dvjqWxGWRCbDDUH+/fvk/PQKC4HkUMyVmNQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY5PR10MB3940
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10228
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 phishscore=0
 mlxlogscore=864 malwarescore=0 bulkscore=0 suspectscore=0 spamscore=0
 mlxscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2110150000 definitions=main-2201150142
X-Proofpoint-GUID: nvkM2CAHwf0W-5hKALWQjYhndWiRc5tQ
X-Proofpoint-ORIG-GUID: nvkM2CAHwf0W-5hKALWQjYhndWiRc5tQ
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: "53255 <at> debbugs.gnu.org" <53255 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > Like read-color shows the color names with their actual colors, the
> > selection of a face should also show the names with their properties
> > applied.
>=20
> The patch below implements this, but it does lead to some strange
> effects:

Icicles has done this since 2007.  See here:

https://www.emacswiki.org/emacs/Icicles_-_Candidates_with_Text_Properties

(FWIW, I see this Note on that page:
   "2007-01-24 - RMS has agreed to fix Emacs in this
    way, so this will become possible in Emacs."
 AFAIK, that never happened.)
___

Whether face, color, etc. completion candidates are
shown as, or accompanied by, such propertized samples is
controlled by option `icicle-WYSIWYG-Completions-flag':

---8<-------

icicle-WYSIWYG-Completions-flag is a variable defined in `icicles-opt.el'.

Its value is "MMMM"

Documentation:
Non-nil means show candidates in `*Completions*' using WYSIWYG.
This has an effect only for completion of things like faces, fonts,
and colors.

For face and color candidates, the particular non-nil value determines
the appearance:

* If t, the candidate displays its meaning: WYSIWYG.
* If a string, the string is propertized and then appended to the
  candidate,  to serve as a color swatch.

Some commands might override a string value with different text.  This
is the case for `icicle-read-color-WYSIWYG', for instance: the color
swatch text is always the color's RGB code.

Note that, starting with Emacs 22, if this option is non-nil, then
command `describe-face' does not use `completing-read-multiple', since
that (non-Icicles) function does not support WYSIWYG candidates.

---8<-------




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 19:16:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:16:15 2022
Received: from localhost ([127.0.0.1]:41774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8oX8-00057h-Pb
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:16:14 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:59685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1n8oX6-00057G-AD
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:16:12 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C35FC1C0004;
 Sat, 15 Jan 2022 19:16:04 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
Organization: LINKOV.NET
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <87zgnxnwkf.fsf@HIDDEN>
 <877db1wboq.fsf@HIDDEN> <87v8ylnsc1.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 21:14:37 +0200
In-Reply-To: <87v8ylnsc1.fsf@HIDDEN> (=?iso-8859-1?Q?=22K=E9vin?= Le
 Gouguec"'s message of "Sat, 15 Jan 2022 12:36:46 +0100")
Message-ID: <864k6424ma.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> Maybe using an affixation function (like read-char-by-name) would make
>>> things less jarring?  E.g. fontifying the same string for every face
>>> (say "x" or "example") and using that as suffix (rather than prefix, to
>>> keep the face names aligned)?
>> Hm, yes, that sounds like a good idea.
>
> Serving suggestion attached, for discussion purposes; there might be
> smarter things to do wrt alignment (using :align-to specs?  let-binding
> tab-width?).
>
> FWIW it looks pretty good with icomplete-vertical-mode, IMO.

So this is like `M-x list-faces-display'?

But OTOH, indeed maybe better to use completion-tab-width
like read-char-by-name does?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 19:16:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:16:10 2022
Received: from localhost ([127.0.0.1]:41771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8oX4-00057Q-Jk
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:16:10 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:46013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1n8oX2-00056v-Di
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:16:09 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 3C658240007;
 Sat, 15 Jan 2022 19:16:00 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
Organization: LINKOV.NET
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 21:12:53 +0200
In-Reply-To: <87y23hl729.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Jan 2022 09:46:54 +0100")
Message-ID: <86h7a424p6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>, 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Like read-color shows the color names with their actual colors, the
>> selection of a face should also show the names with their properties
>> applied.
>
> The patch below implements this, but it does lead to some strange
> effects:
>
> That is, some faces have odd sizes, so the completion display may look a
> bit odd.
>
> But it does accurately tell you what the result is doing to be, so
> perhaps it's OK?  Anybody have any opinions?

Whereas highlight-regexp can use all faces, the preferable faces are in
hi-lock-face-defaults, so they need to be displayed separately.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 11:36:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 06:36:56 2022
Received: from localhost ([127.0.0.1]:39260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8hMe-0005uO-04
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 06:36:56 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:36626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1n8hMc-0005u9-7E
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 06:36:55 -0500
Received: by mail-wm1-f48.google.com with SMTP id
 n19-20020a7bc5d3000000b003466ef16375so12488079wmk.1
 for <53255 <at> debbugs.gnu.org>; Sat, 15 Jan 2022 03:36:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=gQXIMs6n4w11kp77H/kwVfuaF1TxFD9wnv6sij8eAR0=;
 b=WI/QT8AKjs4PPXKNk71+rKEzR8r/fVYTudlZbh+TX34GtW7a1Akcjv40GZFgQUR/bD
 w5BktaUrGXgrhw5Tf9eEMhOXNZbWbSpVWNTzsKW8TsCJgYFTHFOwtxHhiUl8h/Oc5+3V
 WIv0TEGsqX325Q5fTyQwFw6N9G01oCPugml/hnjnDkdrZ/02eDi307BzT44Wd3is0ajQ
 EB5ttDopZH+ndzJL799zrhaf6U9iW4EoCINVlm7ItPOqZH4vipbqTyR4K0umoVdaNEFA
 tnad24vOvxOHyKxzviDE/cBrXrqU3QU9A4g8h+fNVRwR0+OLtH3euFe7zBcQwxhOOFOa
 o70A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=gQXIMs6n4w11kp77H/kwVfuaF1TxFD9wnv6sij8eAR0=;
 b=BWE69jrwPgl7F6ZNVZRbpaPqGqXahZWTgQe8XX8xvnyOfy9/qzDjhKkaUaNapERXpH
 Afq31XtcB2XZiuC02Z0k7nKWpw554LCHDR6kzg03A21I7zdQmmgc4Chg0CwzXkszSe86
 gE9PGu3mw/IrGjjoCpgAD4IFMpjo3vQWMCwHcDgS235NAA5xSOZ9qLFmxRrvA9lL6HO/
 gXppfqRjn9D9xOta6jgmBva69RAOhbDpADUyN7NE8vZV2mOfZqmt4DM1w83iTmu4WSTu
 RJqSCD24wg2iHnz2iLfjxDV7+HmIAGDbgrXyGEE0QbK6+/UkUFvJAH6LiiCjnCCPfvU4
 PKgQ==
X-Gm-Message-State: AOAM530bQPiVyFhz9788d0hkee4KtkBwRc/bFJxEb83BJJO32EGhdqSR
 r16ofc4DVKSwwfWtez/BGksioEY+t7A=
X-Google-Smtp-Source: ABdhPJxKJ/AFf2pdzQewJCOB97U8M8ilSvmtaVFn4Dgb7D/KXwFev6pMGaXgy0mbQQYfXDSRbdUvwA==
X-Received: by 2002:adf:e751:: with SMTP id c17mr12410808wrn.171.1642246607851; 
 Sat, 15 Jan 2022 03:36:47 -0800 (PST)
Received: from amdahl30 ([2a01:e0a:253:fe0:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id u7sm7561068wmq.39.2022.01.15.03.36.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 15 Jan 2022 03:36:47 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <87zgnxnwkf.fsf@HIDDEN>
 <877db1wboq.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 12:36:46 +0100
In-Reply-To: <877db1wboq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Jan 2022 11:11:33 +0100")
Message-ID: <87v8ylnsc1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>, 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Maybe using an affixation function (like read-char-by-name) would make
>> things less jarring?  E.g. fontifying the same string for every face
>> (say "x" or "example") and using that as suffix (rather than prefix, to
>> keep the face names aligned)?
>
> Hm, yes, that sounds like a good idea.

Serving suggestion attached, for discussion purposes; there might be
smarter things to do wrt alignment (using :align-to specs?  let-binding
tab-width?).

FWIW it looks pretty good with icomplete-vertical-mode, IMO.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=hi-lock.patch

diff --git a/lisp/hi-lock.el b/lisp/hi-lock.el
index b70d4a7569..05584b8dc3 100644
--- a/lisp/hi-lock.el
+++ b/lisp/hi-lock.el
@@ -712,6 +712,13 @@ hi-lock-regexp-okay
     (error "Regexp cannot match an empty string"))
    (t regexp)))
 
+(defun hi-lock-decorate-face-names (faces)
+  (mapcar
+   (lambda (face)
+     (list face "" (concat "\t"
+                    (propertize "EXAMPLE" 'face (intern-soft face)))))
+   faces))
+
 (defun hi-lock-read-face-name ()
   "Return face for interactive highlighting.
 When `hi-lock-auto-select-face' is non-nil, just return the next face.
@@ -726,6 +733,8 @@ hi-lock-read-face-name
 	 (defaults (append hi-lock--unused-faces
 			   (cdr (member last-used-face hi-lock-face-defaults))
 			   hi-lock-face-defaults))
+         (completion-extra-properties
+          '(:affixation-function hi-lock-decorate-face-names))
 	 face)
           (if (and hi-lock-auto-select-face (not current-prefix-arg))
 	(setq face (or (pop hi-lock--unused-faces) (car defaults)))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 10:11:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 05:11:44 2022
Received: from localhost ([127.0.0.1]:39128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8g2C-0005B5-9W
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 05:11:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8g2A-0005Ar-W0
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 05:11:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=rzEy2Jd89lQw5yDD8lJma+FwB9GlaCkXZAjoWIHlZOI=; b=h0JiLT5wM3zr4xyMqnKRluTytx
 aXr0lGp2QhIPPMIIINmXYvy85pr2x57Lhk3nIVr9GzKDN4YRt8SjIcwOT+Ub90saLHpGsYm5iDp3E
 +19egU04Yw4QSvqeO/cGthc8TwLmogElYaQ81sskagxkqtT67E/RhqIFHNaeigibufG4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8g22-0003Ry-Et; Sat, 15 Jan 2022 11:11:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN> <87zgnxnwkf.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWXYk5pQjbWkmTm
 1Mb///8wsQAzAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YBDwoKEfQCJncAAAFzSURBVDjLdZOBuYMg
 DIQvsED0LYCwgMr+u71LQKG20n7a5ucil0SIyrIoAN78DoQEVGzLWMYWZzkTmEL4x/ZLJw4Y7wpl
 WsUEWgZZmsLWBJqEG3zPBJhFVCHwf+GpABV29Ce41wsQUySVEYFut2IG9GCAVTIA5Ue0H1eHgocw
 t90l2tENUGgWpJPg9rsCfFLbihxCTuiKUfJWgWVSsDkezQh7YCeGQR1m5FawdhrFnqKul+W7Vto7
 8nEqyxaQAjp4qy5PHXxi5AFe+/E71fpbQffxJdUHwAjnF8V6SpwejuuylpJnRbBLsfy1pjLAWg8D
 5nNNe0Wp9O7xfefmYhu1porqa6fXWhgpPk6RqS7QmoWY0H1MYG7lBY4xDU/QpnaV3vYbaHKnf0cD
 coOYT+U8lN1fmyTXqQ4OIEOxnByCwOsFtpAMBAexnhtB6cDGJebsb/lJg2fIuVb0QfU44slane31
 8Ank139rFtYqf6+Eu4jf6x+SEFWWIwkzTgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wMS0xNVQx
 MDoxMDoxNyswMDowMF1dOdkAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDEtMTVUMTA6MTA6MTcr
 MDA6MDAsAIFlAAAAAElFTkSuQmCC
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (5)_: "Intro To
 "Ballerina Valerie""
Date: Sat, 15 Jan 2022 11:11:33 +0100
In-Reply-To: <87zgnxnwkf.fsf@HIDDEN> (=?utf-8?Q?=22K=C3=A9vin?= Le
 Gouguec"'s message of "Sat, 15 Jan 2022 11:05:20 +0100")
Message-ID: <877db1wboq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Kévin Le Gouguec <kevin.legouguec@HIDDEN> writes: > In
    addition to the odd sizes, some face names become completely > unreadable
    (e.g. the ansi-color-* ones). Yes. But perhaps that's OK? You don't want
   to choose those faces here anyway. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>, 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

K=C3=A9vin Le Gouguec <kevin.legouguec@HIDDEN> writes:

> In addition to the odd sizes, some face names become completely
> unreadable (e.g. the ansi-color-* ones).

Yes.  But perhaps that's OK?  You don't want to choose those faces here
anyway.

>> But it does accurately tell you what the result is doing to be, so
>> perhaps it's OK?  Anybody have any opinions?
>
> Maybe using an affixation function (like read-char-by-name) would make
> things less jarring?  E.g. fontifying the same string for every face
> (say "x" or "example") and using that as suffix (rather than prefix, to
> keep the face names aligned)?

Hm, yes, that sounds like a good idea.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 10:05:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 05:05:29 2022
Received: from localhost ([127.0.0.1]:39111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8fw9-00050A-EJ
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 05:05:29 -0500
Received: from mail-wm1-f53.google.com ([209.85.128.53]:37588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1n8fw7-0004zu-Fr
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 05:05:28 -0500
Received: by mail-wm1-f53.google.com with SMTP id
 l12-20020a7bc34c000000b003467c58cbdfso12069815wmj.2
 for <53255 <at> debbugs.gnu.org>; Sat, 15 Jan 2022 02:05:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=qQFWUbmXCfrOQskqKEG/4CmeA9hzrId6sc+xMe3ugfo=;
 b=gYmFQ2Gn9Nu3iYyCGt8Gk165aE6YRxjjeuFmAWzGshVkeWhI3eSLKHb1IPiBlUAOFv
 VqPiRnMmwRnYF6AAZnIhmcMqdqYusL2eWzRQB17vdbvwToVBqqtZES0K4akmIQ5xUF2K
 50ztvf33JJwep71UEoIl1GVDAuQSw2c2g1JKI+SIN76OKK+sule4d4DnSJCjSSMespGB
 VXPzup7/eVIpm69O1apKcszkK3aaME4YGbwrpqX7byzdn9k7UyY4kwYRD5ptEHFYDV7Z
 NsWHsOLnbBjPCokvST/39EdQybNb6JoNS0H4dxjZewDlY5mFCMcYL3p1xfReijrvmRue
 ejaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=qQFWUbmXCfrOQskqKEG/4CmeA9hzrId6sc+xMe3ugfo=;
 b=VG0vvXWN5/Clp2Xoz8s/aF0ZCKSbjHz/aTMdu+Gvudq7Z7a46klNQCISJigR4Fod+P
 IQihnr1uKH7yRIomOkc9K1i0lEDSRZAOeysoBI6GqUdtNMDkvMocu3GL7kklo8WsMgC/
 F2ZLTeGTACdjGJHVrMeR5AAP3WV3kUs+sD2kuhYG2IIdvKRy7IYrRVQ8nbIxo8si0B+L
 Ax370XuJnLMZ+QDG5qd9S+6Ru6gkW0/7qU9VdpXxfd0ngBhQae6EOfEh4iqNJmHdwvnP
 10ZYdwPsZVlC2UrHZGMmdFu4gyoOaFNGRULjjaw4BBx5VBNki9S6KCzGY3896mVVNUTR
 ZHuw==
X-Gm-Message-State: AOAM5331GFQuh4a3bFSY1eYFde8KfWATFOmBm2GftlOTsndiRCGMw0Pm
 FoQu8YqPbCQod1QilSLiWmierznMAdo=
X-Google-Smtp-Source: ABdhPJxv/Lwd/nTT11IRSR3FboPcPcKFPEA4i6BrO9VEBpCSGLbPsBzaABMlifCdMttABnK8swbl+Q==
X-Received: by 2002:a05:600c:2481:: with SMTP id 1mr1912744wms.3.1642241121473; 
 Sat, 15 Jan 2022 02:05:21 -0800 (PST)
Received: from amdahl30 ([2a01:e0a:253:fe0:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id b15sm4535174wrr.50.2022.01.15.02.05.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 15 Jan 2022 02:05:21 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 <87y23hl729.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 11:05:20 +0100
In-Reply-To: <87y23hl729.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Jan 2022 09:46:54 +0100")
Message-ID: <87zgnxnwkf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53255
Cc: ndame <laszlomail@HIDDEN>, 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> The patch below implements this, but it does lead to some strange
> effects:
>
> That is, some faces have odd sizes, so the completion display may look a
> bit odd.

In addition to the odd sizes, some face names become completely
unreadable (e.g. the ansi-color-* ones).

> But it does accurately tell you what the result is doing to be, so
> perhaps it's OK?  Anybody have any opinions?

Maybe using an affixation function (like read-char-by-name) would make
things less jarring?  E.g. fontifying the same string for every face
(say "x" or "example") and using that as suffix (rather than prefix, to
keep the face names aligned)?

At any rate, I do think that showing the actual sizes (and colors,
however unreadable) is a good feature to keep.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53255 <at> debbugs.gnu.org:


Received: (at 53255) by debbugs.gnu.org; 15 Jan 2022 08:47:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 03:47:06 2022
Received: from localhost ([127.0.0.1]:38953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8eiI-0001ow-CQ
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 03:47:06 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8eiG-0001jU-QU
 for 53255 <at> debbugs.gnu.org; Sat, 15 Jan 2022 03:47:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SrLmK6qi1SPmLIiW9gh+UHVv0hztk5Dn95xxMVgX5Nw=; b=c27MPUl01qpzb7fVDcqMSbzoJN
 1ipAftwJxTSq+RiG8eSVIDv8sufpXbwDiQmi5pfuu6mbmrkQJZBSyUVH+IamSiobAjIIND22dacxB
 behDG4s5v0PivrXbOJNBtG05x3UKX8s3zdpbKf7+s4d2IfcSuCYXu5E85JhVQ8TU1kcs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8ei7-0002j6-QA; Sat, 15 Jan 2022 09:46:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ndame <laszlomail@HIDDEN>
Subject: Re: bug#53255: highlight-regexp should show faces with their
 properties applied when selecting a face
References: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
X-Now-Playing: Joni Mitchell's _Archives: The Early Years (3)_: "Sugar
 Mountain"
Date: Sat, 15 Jan 2022 09:46:54 +0100
In-Reply-To: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
 (ndame's message of "Fri, 14 Jan 2022 13:37:13 +0000")
Message-ID: <87y23hl729.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ndame <laszlomail@HIDDEN> writes: > Like read-color
 shows the color names with their actual colors, the > selection of a face
 should also show the names with their properties > applied. The patch below
 implements this, but it does lead to some strange effects: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Debbugs-Envelope-To: 53255
Cc: 53255 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

ndame <laszlomail@HIDDEN> writes:

> Like read-color shows the color names with their actual colors, the
> selection of a face should also show the names with their properties
> applied.

The patch below implements this, but it does lead to some strange
effects:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


That is, some faces have odd sizes, so the completion display may look a
bit odd.

But it does accurately tell you what the result is doing to be, so
perhaps it's OK?  Anybody have any opinions?

diff --git a/lisp/hi-lock.el b/lisp/hi-lock.el
index b70d4a7569..18e5f73369 100644
--- a/lisp/hi-lock.el
+++ b/lisp/hi-lock.el
@@ -727,11 +727,16 @@ hi-lock-read-face-name
 			   (cdr (member last-used-face hi-lock-face-defaults))
 			   hi-lock-face-defaults))
 	 face)
-          (if (and hi-lock-auto-select-face (not current-prefix-arg))
+    (if (and hi-lock-auto-select-face (not current-prefix-arg))
 	(setq face (or (pop hi-lock--unused-faces) (car defaults)))
-      (setq face (completing-read
-		  (format-prompt "Highlight using face" (car defaults))
-		  obarray 'facep t nil 'face-name-history defaults))
+      (let ((completion-extra-properties
+             (list :annotation-function
+                   (lambda (s)
+                     (add-face-text-property
+                      0 (length s) (intern s) t s)))))
+        (setq face (completing-read
+		    (format-prompt "Highlight using face" (car defaults))
+		    obarray 'facep t nil 'face-name-history defaults)))
       ;; Update list of un-used faces.
       (setq hi-lock--unused-faces (remove face hi-lock--unused-faces))
       ;; Grow the list of defaults.


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2022 13:37:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 08:37:32 2022
Received: from localhost ([127.0.0.1]:35916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8Mlo-0006US-3x
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 08:37:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:53802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <laszlomail@HIDDEN>) id 1n8Mlm-0006UI-OZ
 for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 08:37:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40810)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1n8Mll-0002VL-Ne
 for bug-gnu-emacs@HIDDEN; Fri, 14 Jan 2022 08:37:30 -0500
Received: from mail-4319.protonmail.ch ([185.70.43.19]:41299)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <laszlomail@HIDDEN>)
 id 1n8Mli-0005SL-DR
 for bug-gnu-emacs@HIDDEN; Fri, 14 Jan 2022 08:37:29 -0500
Date: Fri, 14 Jan 2022 13:37:13 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1642167435;
 bh=w8S8W0JOVn4JFsZFGfJvKfb97MgZnU7bxBBKqvPicQg=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=j1LF4c4TjLNyT5T9qwifKUs2g7v75pV+2iwjFAlWycXlylRd2Lfr5gFVm6Le+D8lK
 vnelmo+ESOWwTziYQBdGCjattKfLE84129IluQBPRXSg4WSZJssDk7V8PUfSwjMe6k
 2jL0kvIodP82V//+gUZScGgrrsH7h3yO5GXIV2g4WFEAVJkNV27VKEJwqA9CaeChhG
 RbaSp2plMpxtmnn9VcTDlkapm2Rq+KEj91SRS6O10kydc6RN5wz+1Drtm49XgiK2jR
 XWaCkQy9tov0Cr3tW75VuRia+0YEtKtVOUoc+XqcpicjT81NHy0jL3FrvJrPiLqTjd
 AVQL/S87Qc5hg==
To: "Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
From: ndame <laszlomail@HIDDEN>
Subject: highlight-regexp should show faces with their properties applied when
 selecting a face
Message-ID: <vdRmF318m4VtwQ0wPesl7HHiE_9gEAtLPZr5mJKxZPWZVOt_uSmFZlDEYKrS3XQ2-mjOgsudPmn3iCSWyXUUYYrRDBALWp1E289tijdAAMk=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_kcUeSFXuqJhcOMSIE6vRBECUV7LDMKlfB9vDa3HRyw"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.19;
 envelope-from=laszlomail@HIDDEN; helo=mail-4319.protonmail.ch
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_05=-0.5, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <laszlomail@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_kcUeSFXuqJhcOMSIE6vRBECUV7LDMKlfB9vDa3HRyw
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

aGlnaGxpZ2h0LXJlZ2V4cCBhc2tzIGZvciBhIGZhY2UgdG8gaGlnaGxpZ2h0IHRoZSBtYXRjaGVz
LiBJZiBpdCdzIGEgY29tcGxpY2F0ZWQgZmlsZSBzdHJ1Y3R1cmUgd2hlbiBvbmUgd2FudHMgdG8g
YXBwbHkgbXVsdGlwbGUgZmFjZXMgdG8gZGVtb3RlLCBlbXBoYXNpc2UsIGV0Yy4gcGFydHMgZm9y
IHJlYWRhYmlsaXR5LCB0aGVuIHRoZSBmYWNlIHNlbGVjdGlvbiBjb3VsZCBiZSBtdWNoIGVhc2ll
ciBpZiBiZXNpZGUgbGlzdGluZyB0aGUgbmFtZXMgdGhleSBhbHNvIGhhZCB0aGVpciBwcm9wZXJ0
aWVzIChjb2xvcixldGMuKSBhcHBsaWVkIHRvIHRoZW0sIHNvIHRoZSB1c2VyIGNvdWxkIHNlZSBp
bnN0YW50bHkgd2hpY2ggZmFjZXMgYXJlIHN1aXRhYmxlIHRvIGFwcGx5IHRvIHZhcmlvdXMgcGFy
dHMgb2YgdGhlIGZpbGUuCgpMaWtlIHJlYWQtY29sb3Igc2hvd3MgdGhlIGNvbG9yIG5hbWVzIHdp
dGggdGhlaXIgYWN0dWFsIGNvbG9ycywgdGhlIHNlbGVjdGlvbiBvZiBhIGZhY2Ugc2hvdWxkIGFs
c28gc2hvdyB0aGUgbmFtZXMgd2l0aCB0aGVpciBwcm9wZXJ0aWVzIGFwcGxpZWQu

--b1_kcUeSFXuqJhcOMSIE6vRBECUV7LDMKlfB9vDa3HRyw
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdiBzdHlsZT0iZm9udC1mYW1pbHk6IGFyaWFsOyBmb250LXNpemU6IDE0cHg7Ij48ZGl2IHN0
eWxlPSJmb250LWZhbWlseTogYXJpYWw7IGZvbnQtc2l6ZTogMTRweDsiPmhpZ2hsaWdodC1yZWdl
eHAgYXNrcyBmb3IgYSBmYWNlIHRvIGhpZ2hsaWdodCB0aGUgbWF0Y2hlcy4gSWYgaXQncyBhIGNv
bXBsaWNhdGVkIGZpbGUgc3RydWN0dXJlIHdoZW4gb25lIHdhbnRzIHRvIGFwcGx5IG11bHRpcGxl
IGZhY2VzIHRvIGRlbW90ZSwgZW1waGFzaXNlLCBldGMuIHBhcnRzIGZvciByZWFkYWJpbGl0eSwg
dGhlbiB0aGUgZmFjZSBzZWxlY3Rpb24gY291bGQgYmUgbXVjaCBlYXNpZXIgaWYgYmVzaWRlIGxp
c3RpbmcgdGhlIG5hbWVzIHRoZXkgYWxzbyBoYWQgdGhlaXIgcHJvcGVydGllcyAoY29sb3IsZXRj
LikgYXBwbGllZCB0byB0aGVtLCBzbyB0aGUgdXNlciBjb3VsZCBzZWUgaW5zdGFudGx5IHdoaWNo
IGZhY2VzIGFyZSBzdWl0YWJsZSB0byBhcHBseSB0byB2YXJpb3VzIHBhcnRzIG9mIHRoZSBmaWxl
Ljxicj48L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTogYXJpYWw7IGZvbnQtc2l6ZTogMTRw
eDsiPjxicj48L2Rpdj48ZGl2IHN0eWxlPSJmb250LWZhbWlseTogYXJpYWw7IGZvbnQtc2l6ZTog
MTRweDsiPkxpa2UgcmVhZC1jb2xvciBzaG93cyB0aGUgY29sb3IgbmFtZXMgd2l0aCB0aGVpciBh
Y3R1YWwgY29sb3JzLCB0aGUgc2VsZWN0aW9uIG9mIGEgZmFjZSBzaG91bGQgYWxzbyBzaG93IHRo
ZSBuYW1lcyB3aXRoIHRoZWlyIHByb3BlcnRpZXMgYXBwbGllZC48YnI+PC9kaXY+PGRpdj48YnI+
PC9kaXY+PC9kaXY+PGRpdiBzdHlsZT0iZm9udC1mYW1pbHk6IGFyaWFsOyBmb250LXNpemU6IDE0
cHg7Ij48YnI+PC9kaXY+


--b1_kcUeSFXuqJhcOMSIE6vRBECUV7LDMKlfB9vDa3HRyw--





Acknowledgement sent to ndame <laszlomail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53255; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jan 2022 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.